API Reference knowledge-base

Search concepts

POST/projects/{project_id}/workspace/okf/search

Search the knowledge base for concepts matching a query.

Parameters

ParameterRequiredDescription
query (body)yesSearch query string
ws (query)noKnowledge-base workspace id — defaults to the project’s

Request

curl -X POST "$ALLYBUILD_API_URL/projects/$PROJECT_ID/workspace/okf/search?ws=$KB_WS_ID" \
  -H "Authorization: Bearer $TASK_JWT" \
  -H "Content-Type: application/json"
  -d '{"query": "refund policy"}'

Response

[
  {
    "title": "Refunds need a second approval",
    "description": "When a refund requires a second sign-off.",
    "concept_type": "Business Rule"
  }
]